---
updatedAt: 2026-08-20T10:58:08.000Z
agentTools:
  projectIndex: https://developer.mixmax.com/llms.txt
---

# /messages/:id

Updates a message

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "rest-api-access-your-mixmax-data",
    "version": "1.0",
    "description": "The Mixmax REST API, optimized for lightweight, real-time interactions. This specification is the source of truth for the definition-backed API reference on developer.mixmax.com: it lives in the api repository (openapi/openapi.yaml) and is published from CI.",
    "contact": {
      "email": "developer@mixmax.com"
    }
  },
  "servers": [
    {
      "url": "https://api.mixmax.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Token",
        "x-default": "yourkey"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/messages/{id}": {
      "patch": {
        "summary": "/messages/:id",
        "description": "Updates a message",
        "operationId": "messagesid-1",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "to": {
                    "properties": {
                      "email": {
                        "type": "string",
                        "description": "Email of the 'to' address"
                      },
                      "name": {
                        "type": "string",
                        "description": "Name of the 'to' address, if it exists"
                      }
                    },
                    "required": [],
                    "type": "object",
                    "description": "Recipients of message in the 'to' field"
                  },
                  "cc": {
                    "properties": {
                      "email": {
                        "type": "string",
                        "description": "Email of the 'cc' address"
                      },
                      "name": {
                        "type": "string",
                        "description": "Name of the 'cc' address, if it exists"
                      }
                    },
                    "required": [],
                    "type": "object",
                    "description": "Recipients of message in the 'cc' field, if specified"
                  },
                  "bcc": {
                    "properties": {
                      "email": {
                        "type": "string",
                        "description": "Email of the 'bcc' address"
                      },
                      "name": {
                        "type": "string",
                        "description": "Name of the 'bcc' address, if it exists"
                      }
                    },
                    "required": [],
                    "type": "object",
                    "description": "Recipients of message in the 'bcc' field, if specified"
                  },
                  "subject": {
                    "type": "string"
                  },
                  "body": {
                    "type": "string",
                    "description": "HTML body of the message"
                  },
                  "trackingEnabled": {
                    "type": "boolean",
                    "description": "True if email tracking is enabled for this message",
                    "default": false
                  },
                  "linkTrackingEnabled": {
                    "type": "boolean",
                    "description": "True if this message has link tracking enabled",
                    "default": false
                  },
                  "fileTrackingEnabled": {
                    "type": "boolean",
                    "description": "True if this message has file tracking enabled",
                    "default": false
                  },
                  "notificationsEnabled": {
                    "type": "boolean",
                    "description": "True if this message has \"Desktop notifications\" enabled",
                    "default": false
                  },
                  "userHasModified": {
                    "type": "boolean",
                    "description": "Set this to true to create a Gmail draft for the message. It isn't used for any other purpose other than syncing a Gmail draft (the name is legacy).",
                    "default": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": " curl -H 'content-type: application/json' --header \"X-API-Token: 23b385da-552e-460f-b479-1b91d4ac2ce1\" 'https://api.mixmax.com/v1/messages/qA40di2qlcBLR7Npw' -X 'PATCH' --data-raw '{\"to\":[{\"name\":\"Test User\",\"email\":\"test@example.com\"}]}'\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The _id of the message to update",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  }
}
```